NPM-START(1)

NAME
npm-start

Synopsis
<!-- AUTOGENERATED USAGE DESCRIPTIONS -->.SH Description

This runs a predefined command specified in the "start" property of a package's "scripts" object.

If the "scripts" object does not define a "start" property, npm will run node server.js.

Note that this is different from the default node behavior of running the file specified in a package's "main" attribute when evoking with node .

As of npm@2.0.0, you can use custom arguments when executing scripts.
Refer to npm run for more details.

Example
    {
      "scripts": {
        "start": "node foo.js"
      }
    }
    npm start

    > npm@x.x.x start
    > node foo.js

    (foo.js output would be here)

Configuration
<!-- AUTOGENERATED CONFIG DESCRIPTIONS -->.SH See Also

    •   npm run

    •   npm scripts

    •   npm test

    •   npm restart

    •   npm stop